Subject: Re: [Bitcoin-development] BIP - Hash Locked Transaction

From: Gregory Maxwell <[email-masked]>
Date: Fri, 25 Apr 2014 13:19:48 -0700

On Fri, Apr 25, 2014 at 1:14 PM, Peter Todd <[email-masked]> wrote:
> Actually I did some work looking at this problem a few months ago and
> other than somewhat larger transactions it looks like implementing
> oracles by having the oracle reveal ECC secret keys works better in
> every case. Notably the oracle can prove they really do have the key by
> signing a challenge message, and with some ECC math the transaction can
> include keys that have been derived from the oracle keys, blinding what
> purposes the oracle is being used for from the oracle itself.

I think the hash-locked transactions are very useful, and I think
Peter agrees (no?)

But I agree with him that that for the oracle case the EC public
points are superior. (Also: Reality keys works like this.)